mailarchive of the ptxdist mailing list
 help / color / mirror / Atom feed
* [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters
@ 2021-04-11 20:25 Roland Hieber
  2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
  2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich
  0 siblings, 2 replies; 4+ messages in thread
From: Roland Hieber @ 2021-04-11 20:25 UTC (permalink / raw)
  To: ptxdist; +Cc: Roland Hieber

The current output is not very explanatory:

    $ ptxdist drop

    rm: cannot remove '.../platform-foo/state/': Is a directory
    dropping

Signed-off-by: Roland Hieber <rhi@pengutronix.de>
---
 bin/ptxdist | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/bin/ptxdist b/bin/ptxdist
index 248b0473df0f..75e503fe4767 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -966,6 +966,11 @@ clean() {
 drop() {
 	local statefile
 
+	if [ -z "${1}" ]; then
+		echo "Usage: drop <package>.<stage>"
+		exit 1
+	fi
+
 	if [ -z "${2}" ]; then
 		statefile="${1}"
 	else
-- 
2.29.2


_______________________________________________
ptxdist mailing list
ptxdist@pengutronix.de
To unsubscribe, send a mail with subject "unsubscribe" to ptxdist-request@pengutronix.de

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-04-23 13:48 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-04-11 20:25 [ptxdist] [PATCH 1/2] ptxdist: drop: give better error message without parameters Roland Hieber
2021-04-11 20:25 ` [ptxdist] [PATCH 2/2] ptxdist: package-info: " Roland Hieber
2021-04-23 13:47   ` [ptxdist] [APPLIED] " Michael Olbrich
2021-04-23 13:47 ` [ptxdist] [APPLIED] ptxdist: drop: " Michael Olbrich

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox